Bug 131683 - Indic Inscript keyboard mapping mistakes
Indic Inscript keyboard mapping mistakes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jatin Nansi
: i18n
Depends On:
Blocks: Indic
  Show dependency treegraph
 
Reported: 2004-09-03 01:49 EDT by Jatin Nansi
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 04:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correct the inscript layouts in UnitLE (2.42 KB, patch)
2004-09-07 04:37 EDT, Jatin Nansi
no flags Details | Diff

  None (edit)
Description Jatin Nansi 2004-09-03 01:49:36 EDT
Description of problem:
Several of the indic inscript keyboard maps in the UnitLE module of
IIIMF are incorrect. This includes bengali, devanagari, and punjabi.


Version-Release number of selected component (if applicable):
im-sdk-12.0.1-3

How reproducible:
Every time

Steps to Reproduce:
1. Switch to an affected indic language
2. Try inputting text in the inscript layout
3.
  
Actual results:
Some of the keys are mapped incorrectly

Expected results:
Al keys shd be mapped correctly, as per the set inscript layout.

Additional info:
The layouts are available here:
http://bob.brisbane.redhat.com/~jnansi/inscript_kbd_layouts.html
Comment 1 Jatin Nansi 2004-09-03 01:52:57 EDT
Currently working on correcting all the layouts.
Will create a patch and submit.
Comment 2 Jatin Nansi 2004-09-07 04:37:27 EDT
Created attachment 103531 [details]
Patch to correct the inscript layouts in UnitLE
Comment 3 Jatin Nansi 2004-09-07 04:38:27 EDT
Patch to solve this bug attached above. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.